gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.InsetShadowNode

Contents

- Exported types
- Methods
  - getBlurRadius
  - getColor
  - getDx
  - getDy
  - getOutline
  - getSpread
  - new

Description

A render node for an inset shadow.

Synopsis

- newtype InsetShadowNode = InsetShadowNode (ManagedPtr InsetShadowNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf InsetShadowNode o) => IsInsetShadowNode o
- toInsetShadowNode :: (MonadIO m, IsInsetShadowNode o) => o -> m InsetShadowNode
- insetShadowNodeGetBlurRadius :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m Float
- insetShadowNodeGetColor :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m RGBA
- insetShadowNodeGetDx :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m Float
- insetShadowNodeGetDy :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m Float
- insetShadowNodeGetOutline :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m RoundedRect
- insetShadowNodeGetSpread :: (HasCallStack, MonadIO m, IsInsetShadowNode a) => a -> m Float
- insetShadowNodeNew :: (HasCallStack, MonadIO m) => RoundedRect -> RGBA -> Float -> Float -> Float -> Float -> m InsetShadowNode

# Exported types

newtype InsetShadowNode Source #

Memory-managed wrapper type.

Constructors

InsetShadowNode (ManagedPtr InsetShadowNode) |

#### Instances

Instances details

Eq InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode Methods (==) :: InsetShadowNode -> InsetShadowNode -> Bool Source # (/=) :: InsetShadowNode -> InsetShadowNode -> Bool Source #
BoxedPtr InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode Methods boxedPtrCopy :: InsetShadowNode -> IO InsetShadowNode Source # boxedPtrFree :: InsetShadowNode -> IO () Source #
ManagedPtrNewtype InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode Methods toManagedPtr :: InsetShadowNode -> ManagedPtr InsetShadowNode Source #
TypedObject InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode Methods glibType :: IO GType Source #
HasParentTypes InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode
type ParentTypes InsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode type ParentTypes InsetShadowNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf InsetShadowNode o) => IsInsetShadowNode o Source #

Type class for types which can be safely cast to `InsetShadowNode`, for instance with `toInsetShadowNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf InsetShadowNode o) => IsInsetShadowNode o Source # |
Instance details Defined in GI.Gsk.Objects.InsetShadowNode

toInsetShadowNode :: (MonadIO m, IsInsetShadowNode o) => o -> m InsetShadowNode Source #

Cast to `InsetShadowNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBlurRadius, getBounds, getChildren, getColor, getDx, getDy, getNodeType, getOpaqueRect, getOutline, getSpread.

#### Setters

None.

## getBlurRadius

insetShadowNodeGetBlurRadius Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m Float | Returns: the blur radius, in pixels

Retrieves the blur radius to apply to the shadow.

## getColor

insetShadowNodeGetColor Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m RGBA | Returns: the color of the shadow

Retrieves the color of the inset shadow.

The value returned by this function will not be correct if the render node was created for a non-sRGB color.

## getDx

insetShadowNodeGetDx Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m Float | Returns: an offset, in pixels

Retrieves the horizontal offset of the inset shadow.

## getDy

insetShadowNodeGetDy Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m Float | Returns: an offset, in pixels

Retrieves the vertical offset of the inset shadow.

## getOutline

insetShadowNodeGetOutline Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m RoundedRect | Returns: a rounded rectangle

Retrieves the outline rectangle of the inset shadow.

## getSpread

insetShadowNodeGetSpread Source #

Arguments

:: (HasCallStack, MonadIO m, IsInsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an inset shadow
-> m Float | Returns: the size of the shadow, in pixels

Retrieves how much the shadow spreads inwards.

## new

insetShadowNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> RoundedRect | `outline`: outline of the region containing the shadow
-> RGBA | `color`: color of the shadow
-> Float | `dx`: horizontal offset of shadow
-> Float | `dy`: vertical offset of shadow
-> Float | `spread`: how far the shadow spreads towards the inside
-> Float | `blurRadius`: how much blur to apply to the shadow
-> m InsetShadowNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will render an inset shadow into the box given by `outline`.